Subject: ? and I-551

From: [email-masked] (Donglin Mi)
Date: Mon, 27 Sep 93 19:43:57 CDT

Hi, folks:

I am CSPA principal and got the approval notice last week. My wife is a lad
and filed her application for a PR through EB3 in the beginning of August.
Today we went the Boston INS and wanted to make sure if her application is
going to be processed and when she will be notified. It seemed that they did
not have more idea about those. We were just told that we would got something
fron INS in 90 days. 

Does anyone have an idea about those? Is a lad going to be assigned an A#
after the principal has got the approval noptice? 

Anyone who got the approval notice can ask INS to put a stamp on her/his
passport. The stamp will be a temporary greencard. The process is so called
I-551.
 
Good luck.